package admin

import "server/dao"

type RegionService struct{}

func (rs *RegionService) QueryAllRegions() ([]dao.Region, error) {
	return dao.QueryAllRegions()
}

func (rs *RegionService) CreateRegion(region dao.Region) error {
	return region.CreateRegion()
}

func (rs *RegionService) UpdateRegion(region dao.Region) error {
	return region.UpdateRegion()
}

func (rs *RegionService) DeleteRegion(id int) error {
	return dao.DeleteRegion(id)
}
